apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: loki
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "-7"
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  # Where we are deploying to
  destination:
    namespace: monitoring
    server: https://kubernetes.default.svc
  # Which project this Application belongs to
  project: default
  # Where this Application has its source
  source:
    # Helm specifc values
    path: charts/loki-stack
    repoURL: https://github.com/grafana/helm-charts.git
    targetRevision: HEAD
#    helm:
#      parameters:
#        - name: "createCustomResource"
#          value: "false"
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: true
    syncOptions:
      - CreateNamespace=true
      - Validate=false